#include<bits/stdc++.h>
#ifdef xay5421
#define D(...) fprintf(stderr,__VA_ARGS__)
#else
#define D(...) ((void)0)
#endif
#define rep(i,a,b) for(int i=(a);i<=(b);++i)
#define per(i,a,b) for(int i=(a);i>=(b);--i)
#define each(x,v) for(auto&x:v)
#define SZ(x) ((int)(x).size())
#define pb push_back
#define eb emplace_back
using namespace std;
mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());
int main(){
	freopen("mode.in","w",stdout);
	int T=10;
	printf("%d\n",T);
	while(T--){
		int n=300;
		printf("%d\n",n);
		rep(i,1,n)printf("%d ",(int)(rng()%100000+1));
		puts("");
	}
	return 0;
}
